[Previous] [Next] [Up] [Top]

### NAME

ft_headfind,ft_headindex,ft_headfindidx,ft_headfindseq -Fitsy FITS header find routines.

### SYNOPSIS

    FITSCard ft_headfind(FITSHead fits, char *name, int n, int add);
    void ft_headindex(FITSHead fits);
    FITSCard ft_headfindidx(FITSHead fits, char *name, int n, int *match);
    FITSCard ft_headfindseq(FITSHead fits, char *name, int n, int *match);

### PARAMETERS

- FITSHead fits - The FITS header to search.
- char *name - Name of the card keyword to search for.
- int n - keyword index number, if is zero no index number is appended to the keyword.
- int add - If add is true the card will be added to the header if it is not found.
- int *match - Returns true if the card found is an exact match for the keyword requested.

### DESCRIPTION

#### ft_headfind

Find a FITS card in the header.

If the header has been indexed the index will be used otherwise a sequential search will be done.

#### ft_headindex

Index a header for use with ft_headfind.

#### ft_headfindidx

Find a FITS card in the header.

headfindidx uses an index to find the card.

#### ft_headfindseq

Find a FITS card in the header.

Find a card in the header using sequential search.

If the requested card is a FITS indexed keyword and an exact match is not found, the highest existing card of that type is returned and match is set to 0.

### RETURNS

#### ft_headfind

The card found or NULL if an exact match was not found.

[Previous] [Next] [Up] [Top]